package com.pack.modeler.structures;

import org.apache.commons.csv.CSVRecord;

import java.util.ArrayList;
import java.util.List;

public class LogRow {

    private List<String> names = new ArrayList<>();
    private List<String> types = new ArrayList<>();
    private List<String> values = new ArrayList<>();

    public LogRow(List<String> header, List<String> types, CSVRecord row) {
        names.addAll(header);

        for (String cell : row ) {
            values.add(cell);
        }
    }

    public LogRow(List<String> header, List<String> colTypes, List<String> row) {
        names.addAll(header);
        types.addAll(colTypes);
        values.addAll(row);
    }

    public List<String> getNames() {
        return names;
    }

    public List<String> getTypes() {
        return types;
    }

    public List<String> getValues() {
        return values;
    }
}
